# Makes distribution release

# Variables
NAME="lin.lua"
DIST=dist/$NAME
LICENSE="--[[
Computable Pandoc & Fennel Bundle:
  A Pandoc filter for literate and natural programming
Computable Pandoc:
  (C) 2023 perro hi@perrotuerto.blog
  License: GPLv3 https://git.cuates.net/perro/computable-pandoc/src/branch/no-masters/LICENSE.txt
  Source: https://git.cuates.net/perro/computable-pandoc
Fennel:
  (C) 2016-2023 Calvin Rose and contributors
  License: MIT License https://git.sr.ht/~technomancy/fennel/tree/main/item/LICENSE
  Source: https://sr.ht/~technomancy/fennel or https://github.com/bakpakin/Fennel/issues
  Website: https://fennel-lang.org
]]--"

# Bundles Fennel and computable Pandoc
(echo "$LICENSE") > $DIST
head -n -1 opt/fennel.lua >> $DIST
echo "local fnl = mod" >> $DIST
head -n -1 src/natural.lua >> $DIST
head -n -1 src/literate.lua >> $DIST
cat src/pandoc.lua >> $DIST
